package p13_pliki.tadeusz;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.util.Scanner;

// W drugiej wersji niech ponumerowane linie zostaną zapisane do nowego pliku, np "ponumerowany.txt"
// W tej drugiej wersji możecie też pomijać puste linie.
public class Ponumeruj2 {

	public static void main(String[] args) {
		try(Scanner in = new Scanner(new File("pan_tadeusz.txt"));
			PrintWriter out = new PrintWriter("pan_tadeusz_num.txt")) {
			int nr = 0;
			while(in.hasNextLine()) {
				String linia = in.nextLine();
				if(!linia.isBlank()) {
					++nr;
					out.println(nr + ": " + linia);
				}
			}
			System.out.println("Gotowe. Liczba wszystkich linii: " + nr);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
